<template>
    <div>
      <h2>Posts in #{{ $route.params.tag }}</h2>
      
      <PostList v-if="postByTag" :posts="postByTag" />
    </div>
</template>
  
<script>
import PostList from '@/components/blog/PostList'
import gql from 'graphql-tag'

export default {
    name: 'PostsByTag',
    components: {
        PostList,
    },
    data () {
        return {
            postByTag: [], // Change from postsByTag to postByTag
        }
    },
    async created () {
        try {
            const posts = await this.$apollo.query({
                query: gql`query ($tag: String!) {
                    postsByTag(tag: $tag) {
                        title
                        subtitle
                        publishDate
                        published
                        metaDescription
                        slug
                        author {
                            user {
                                username
                            }
                        }
                        tags {
                            name
                        }
                    }
                }`,
                variables: {
                    tag: this.$route.params.tag,
                },
            })
            this.postByTag = posts.data.postsByTag; // Change from postsByTag to postByTag
        } catch (error) {
            console.error('Error fetching posts by tag:', error)
        }
    },
}
</script>
